New LiquidCrystal library 1.3.2 Generic LCD control library

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
LiquidCrystal_I2C_ByVac Class Reference
Inheritance diagram for LiquidCrystal_I2C_ByVac:

## Public Member Functions
| LiquidCrystal_I2C_ByVac (uint8_t lcd_Addr)
virtual void | begin (uint8_t cols, uint8_t rows, uint8_t charsize=LCD_5x8DOTS)
virtual void | send (uint8_t value, uint8_t mode)
void | setBacklight (uint8_t value)
void | setContrast (uint8_t value)
Public Member Functions inherited from LCD
| LCD ()
void | clear ()
void | home ()
void | noDisplay ()
void | display ()
void | noBlink ()
void | blink ()
void | noCursor ()
void | cursor ()
void | scrollDisplayLeft ()
void | scrollDisplayRight ()
void | leftToRight ()
void | rightToLeft ()
void | moveCursorLeft ()
void | moveCursorRight ()
void | autoscroll ()
void | noAutoscroll ()
void | createChar (uint8_t location, uint8_t charmap[])
void | setCursor (uint8_t col, uint8_t row)
void | backlight (void)
void | noBacklight (void)
void | on (void)
void | off (void)
virtual void | setBacklightPin (uint8_t value, t_backlighPol pol)
virtual void | write (uint8_t value)

## Additional Inherited Members
Protected Attributes inherited from LCD
uint8_t | _displayfunction
uint8_t | _displaycontrol
uint8_t | _displaymode
uint8_t | _numlines
uint8_t | _cols
t_backlighPol | _polarity

## Constructor & Destructor Documentation

LiquidCrystal_I2C_ByVac::LiquidCrystal_I2C_ByVac | ( | uint8_t | lcd_Addr | ) |

Class constructor. Initializes class variables and defines the I2C address of the LCD. The constructor does not initialize the LCD.

Parameters

  lcd_Addr[in] | I2C address of the IO expansion module. For BV4218, the address can be configured using the address commands (to be implemented).

## Member Function Documentation

void LiquidCrystal_I2C_ByVac::begin | ( | uint8_t | cols,
|  | uint8_t | rows,
|  | uint8_t | charsize = `LCD_5x8DOTS`
| ) |  |
| virtual

LCD initialization and associated HW. Initializes the LCD to a given size (col, row). This methods initializes the LCD, therefore, it MUST be called prior to using any other method from this class or parent class.

The begin method can be overloaded if necessary to initialize any HW that is implemented by a library and can't be done during construction, here we use the Wire class.

Parameters

  cols[in] | the number of columns that the display has
  rows[in] | the number of rows that the display has
  charsize[in] | size of the characters of the LCD: LCD_5x8DOTS or LCD_5x10DOTS.

Reimplemented from LCD.

void LiquidCrystal_I2C_ByVac::send | ( | uint8_t | value,
|  | uint8_t | mode
| ) |  |
| virtual

Send a particular value to the LCD. Sends a particular value to the LCD for writing to the LCD or as an LCD command.

Users should never call this method.

Parameters

  value[in] | Value to send to the LCD.
  mode[in] | DATA - write to the LCD CGRAM, COMMAND - write a command to the LCD.

Reimplemented from LCD.

void LiquidCrystal_I2C_ByVac::setBacklight | ( | uint8_t | value | ) |
| virtual

Switch-on/off the LCD backlight. Switch-on/off the LCD backlight.

Parameters

  value | backlight mode (HIGH|LOW)

Reimplemented from LCD.

void LiquidCrystal_I2C_ByVac::setContrast | ( | uint8_t | value | ) |

Switch-on/off the LCD contrast. Switch-on/off the LCD contrast.

Parameters

  value | contrast mode (HIGH|LOW)

The documentation for this class was generated from the following files:

- /Users/fmalpartida/Documents/development/mercurial repos/SW/NewliquidCrystal/LiquidCrystal_I2C_ByVac.h
- /Users/fmalpartida/Documents/development/mercurial repos/SW/NewliquidCrystal/LiquidCrystal_I2C_ByVac.cpp